yaz-client
1

# yaz-client

Z39.50/SRW client for implementors

       yaz-client
       -m filename
       -a filename
       -c filename
       -q filename
       -p addr
       -u auth
       -k size
       addr

       yaz-client-ssl
       option
       addr

## DESCRIPTION

`yaz-client` is a Z39.50/SRW client (origin) with a simple command line interface that allows you to test behavior and performance of Z39.50 targets and SRW servers.

`yaz-client-ssl` is identical to `yaz-client` except that it supports SSL transport.

If the addr is specified, the client creates a connection to the Z39.50/SRW target at the address.

## OPTIONS

-m filename

  If specified, retrieved MARC (ISO2709) records will be appended to the file given.

-a filename

  If specified, logging of protocol packages will be appended file given. The special filename `-` (dash) denotes standard output.

-u auth

  If specified, the auth string will be used for authentication.

-c filename

  If specified, CCL configuration will be read from the file given.

-q filename

  If specified, CQL configuration will be read from the file given.

-p addr

  If specified, the client will use the proxy at the address given.

## COMMANDS

The YAZ client accepts the following commands.

&yaz-client-commands;

## FILES

`yaz-<version>/client/client.c`

## SEE ALSO

yaz 7

Section "The YAZ Client" in the YAZ manual.

Section "Prefix Query Format" in the YAZ manual.

Section "Common Command Language" in the YAZ manual.

Section "Common QUery Language" in the YAZ manual.